CurrentClass
Date: 2022-09-14

org.apache.maven.tools.plugin.extractor.annotations.converter.test

## Class CurrentClass

- java.lang.Object
- - org.apache.maven.tools.plugin.extractor.annotations.converter.test.SuperClass
  - - org.apache.maven.tools.plugin.extractor.annotations.converter.test.CurrentClass

-     public class CurrentClass
      extends SuperClass

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `field1`

    - ### Fields inherited from class org.apache.maven.tools.plugin.extractor.annotations.converter.test.SuperClass

      `superField1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurrentClass()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `arrayParamMethod(int[] intValues, java.lang.String[][][] multiDimensionalStringValues)`
    `void` | `complexParamMethod(int intValue, OtherClassOtherPackage.EmbeddedEnum enumValue)`
    `void` | `genericsParamMethod(java.util.Collection<java.util.Collection<java.lang.String>> myCollection, java.util.function.BiConsumer<java.lang.String,java.lang.Integer> function)`
    `void` | `noParamMethod()`
    `void` | `simpleParamMethod(java.lang.Integer intValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field1

          public java.lang.String field1

  - ### Constructor Detail

    - #### CurrentClass

          public CurrentClass()

  - ### Method Detail

    - #### noParamMethod

          public void noParamMethod()

    - #### simpleParamMethod

          public void simpleParamMethod(java.lang.Integer intValue)

    - #### complexParamMethod

          public void complexParamMethod(int intValue,
                                         OtherClassOtherPackage.EmbeddedEnum enumValue)

      Parameters:
        `intValue` -
        `enumValue` -

    - #### arrayParamMethod

          public void arrayParamMethod(int[] intValues,
                                       java.lang.String[][][] multiDimensionalStringValues)

      Parameters:
        `intValues` -
        `multiDimensionalStringValues` -

    - #### genericsParamMethod

          public void genericsParamMethod(java.util.Collection<java.util.Collection<java.lang.String>> myCollection,
                                          java.util.function.BiConsumer<java.lang.String,java.lang.Integer> function)